Publisher and Distributor Properties, Publication Databases Tab

This table shows the options and their functions that are available on the Publication Databases tab of the Publisher and Distributor Properties dialog box.

Use this | To do this
Trans | Enable the database for snapshot or transactional replication.
Merge | Enable the database for merge replication.
Database name | View the name of the database.
Transactional - Enable All | Enable all the listed databases for snapshot or transactional replication.
Transactional - Enable None | Clear all the listed databases for snapshot or transactional replication.
Merge - Enable All | Enable all the listed databases for merge replication.
Merge - Enable None | Clear all the listed databases for merge replication.


(Untitled)

Specify Filter

Enter only the conditions to be used in the filter. Do not enter the entire SELECT statement, and do not enter the WHERE keyword. For example, enter only:

sales.rep = suser_sname()

instead of

WHERE sales.rep = suser_sname()


Specify Filter

This table shows the options and their functions that are available in the Specify Filter dialog box.

Use this | To do this
Table to filter | View the name of the table to filter.
Article name | View the name of the article that is published with this filter.
SELECT * FROM table WHERE | Enter the filter clause. Enter only the conditions to be used in the filter. Do not enter the entire SELECT statement, and do not enter the WHERE keyword.


(Untitled)

Specify Join

Enter only the conditions to be used in the filter. Do not enter the entire SELECT*FROM statement, and do not enter the ON keyword. For example, enter only:

customer.cust_id = order.cust_id

instead of

ON customer.cust_id = order.cust_id

Any column names that are identical in both tables and, therefore, could resolve to either table, should be qualified with the name of the table.


Specify Join

This table shows the options and their functions that are available in the Specify Join dialog box.

Use this | To do this
Filtered table | View the name of the filtered table.
Table to filter | View the name of the table to extend the filter to using the JOIN.
SELECT * FROM filtered table INNER JOIN table to filter ON | Enter the filter clause. Enter only the conditions to be used in the filter. Do not enter the entire SELECT*FROM statement, and do not enter the ON keyword.


Pull Subscription Properties, General Tab

This table shows the options and their functions that are available on the General tab of the Pull Subscription Properties dialog box.

Use this | To do this
Subscription to publication | View the name of the publication.
Publisher | View the name of the Publisher.
Publisher database | View the name of the Publisher database.
Description | View the description of the publication.
Anonymous | View whether the subscription is anonymous.
Immediate-updating subscription | View whether the subscription allows immediate updates.
Last updated | View date and time the Subscriber was last synchronized with the Publisher.


(Untitled)

Filter Table Rows

You can filter the rows in a table to reduce the amount of data being published. The filter statement must refer only to columns and values in that table. Filters cannot refer to data in other tables to determine whether rows of this table are included or excluded.

Click the properties button (...) to enter or modify the WHERE clause used as the filter.

You can also extend the row filters to other tables by using JOIN filters. From the list in the Filtered table column, select the table with a filter. Then, from the list in the Table to filter column, select the second table to be filtered. Finally, click the build button (...) to enter the JOIN clause used as the filter. To delete a JOIN, click <Delete join> in the list shown in the Filtered table column.


heterogeneous publication Properties, Subscriptions Tab

This table shows the options and their functions that are available on the Subscriptions tab of the heterogeneous publication Properties dialog box

Use this | To do this
Subscription name | View the name of the subscription.
Type | View the type of subscription (push or pull).
Push New | Create a new push subscription at one or more Subscribers.
Properties | Display the properties of the subscription.
Delete | Delete the subscription.


(Untitled)

Initialize Subscription

To initialize a subscription, the Snapshot Agent runs and creates a snapshot of the schema and data in the publication. This snapshot is then copied to the Subscriber by the Distribution or Merge Agent.

If you manually load the schema and data at the Subscriber, for example, using backup tapes, you do not need to initialize the subscription. If you want Microsoft® SQL Server™ to initialize the subscription, select Yes, initialize the schema and data at the Subscriber. This starts the first step of the initialization process. If other steps are required, the wizard displays the steps relevant to the type of publication and replication agents involved.


(Untitled)

Specify Immediate-updating Subscription

Specify whether changes made by this Subscriber are replicated to other Subscribers.

Immediate-updating subscriptions can be used with either transactional or snapshot publications. A Subscriber can modify subscription data if the transaction can be performed using a two-phase commit approach with the Publisher. This approach guarantees latent transactional integrity without requiring that updates only be done at the Publisher. The two-phase commit transaction with the Publisher is done automatically; consequently, you can write an application to update only one site. After the change is made at the Publisher, it eventually gets distributed to all the other Subscribers to the publication.


(Untitled)

Start Required Services

The services listed on the wizard page must be running for Microsoft® SQL Server™ to synchronize changes. SQL Server Agent is required for all publications. MS DTC is required for transactional and snapshot publications that allow immediate-updating subscriptions (those subscriptions that can be updated by the user and synchronized with the Publisher and other Subscribers).

The SQL Server Agent icon or MS DTC icon before the service indicates whether the service is currently running or stopped. If the icon is greyed out, the state of the service is unknown.

If the required service is not currently running, you can either select the service and have SQL Server start the service automatically when this wizard is finished, or start the service manually later.


article Properties, Commands Tab

This table shows the options and their functions that are available on the Commands tab of the article Properties dialog box. This tab is not displayed for snapshot or merge publications.

Use this | To do this
Replace INSERT commands with this stored procedure call | Use a custom stored procedure at each Subscriber in place of the INSERT command replicated from the Publisher. If you specify that all Subscribers are SQL Servers, this option is automatically selected. If you later include heterogeneous Subscribers, you must return to this dialog box and clear this option for the heterogeneous Subscriber to receive the INSERT commands.
Replace UPDATE commands with this stored procedure call | Use a custom stored procedure at each Subscriber in place of the UPDATE command replicated from the Publisher. The custom stored procedure must be specified with an M call. If you specify that all Subscribers are SQL Servers, this option is automatically selected. If you later include heterogeneous Subscribers, you must return to this dialog box and clear this option for the heterogeneous Subscriber to receive the UPDATE commands.
Replace DELETE commands with this stored procedure call | Use a custom stored procedure at each Subscriber in place of the DELETE command replicated from the Publisher. If you specify that all Subscribers are SQL Servers, this option is automatically selected. If you later include heterogeneous Subscribers, you must return to this dialog box and clear this option for the heterogeneous Subscriber to receive the DELETE commands.
Create the stored procedures specified above during initial synchronization of the Subscribers | Create the stored procedures automatically at the Subscriber because they do not exist there.
Send the stored procedure parameters in binary format | Send the stored procedures in the most efficient format.
Use column names in SQL statements | Use the table column names in all SQL statements.


article Properties, General Tab

This table shows the options and their functions that are available on the General tab of the article Properties dialog box.

Use this | To do this
Article name | If creating a new article, enter the name of the article. If the article is already created, view the name of the article.
Description | Enter or change the description of the article.
Source table name | View the name of the table on which the article is based.
Source table owner | View the name of the owner of the table on which the article is based.
Destination table name | If creating a new article, enter the name of the table. If the article is already created, view the name of the table. This option is not displayed for merge publications.
Destination table owner | If creating a new article, enter the name of the table owner. If the article is already created, view the name of the table owner. This option is not displayed for merge publications.
Consider changes made to the same row as a conflict | Define a conflict as the same row being changed at the same time by two sites. This option is displayed only for merge publications.
Consider changes made to the same column as a conflict | Define a conflict as the same column of the same row being changed at the same time by two sites. This option is displayed only for merge publications.


article Properties, Snapshot Tab

This table shows the options and their functions that are available on the Snapshot tab of the article Properties dialog box.

Use this | To do this
DROP the existing table and re-create it | Delete the local table that has the same name as the destination table and create a new table locally that is identical to the table at the Publisher.
Delete data in the existing table that matches the row filter statement | Delete the data that matches the data to be replicated from the Publisher in the local table with the same name as the destination table. Data in the local table that does not match the data to be replicated remains unchanged in the local table.
Delete all data in the existing table | Delete all the data but keep the table schema in the local table with the same name as the destination table.
Keep the existing table unchanged | Keep all the existing data and schema in the local table with the same name as the destination table.
Copy the clustered indexes to the subscription table | Copy clustered indexes to the destination table, if clustered indexes exist to the source table at the Publisher.
Copy the nonclustered indexes to the subscription table | Copy nonclustered indexes to the destination table, if nonclustered indexes exist to the source table at the Publisher.
Convert user-defined data types to their base data types | Convert the user-defined types to the original data types on which they were based if there are user-defined data types in the source table at the Publisher. Converting user-defined data types to base data types may alter the formatting and other characteristics of the data.
Include declared referential integrity on the primary keys | Replicate the same declared referential integrity to the primary keys at the destination table if there is declared referential integrity on the primary keys in the source table at the Publisher.


article Properties, Resolver Tab

This table shows the options and their functions that are available on the Resolver tab of the article Properties dialog box.

Use this | To do this
Use the default resolver | Have the resolver that ships with Microsoft® SQL Server™ handle the merging of changes.
Use this custom resolver | Have a custom resolver handle the merging of changes. Select the custom resolver to be used for this article. SQL Server comes with the SQL Server Stored Procedure Resolver, which allows you to create a custom resolver using Transact-SQL.
Information for the custom resolver | Enter the name of the stored procedure to call when using the stored procedure resolver and enter any parameters or other information it requires. You can also enter information required by other custom resolvers.


Agent Profiles Dialog Box

Agent Profiles

This table shows the options and their functions that are available in the Agent Profiles dialog box.

Use this | To do this
Use | Select the profile to be used when creating new agents of the type indicated.
Profile name | View the name of the agent profile.
Type | View the type of agent profile (user or system).
Description | View the description of the profile.
View Profile | Display the parameters of the selected profile. This option is displayed only if an existing user profile is not selected.
Copy selected profile | Display a dialog box for creating a new profile based on the selected profile. The starting values for the parameters are the values of whatever profile you have selected. The new profile does not automatically become the profile to be used.
Delete Profile | Delete the selected user profile from the list. System profiles cannot be deleted.
Modify Profile | Display a dialog box for modifying a selected profile. This option is displayed only if an existing user profile is selected.


Publisher Properties, General Tab

This table shows the options and their functions that are available on the General tab of the Publisher Properties dialog box.

Use this | To do this
Publisher | View the name of the Publisher.
Distribution database | Select the distribution database to be used by the Publisher, if you are enabling a new Publisher and there is more than one distribution database at the Distributor. For a currently enabled Publisher, view the distribution database to be used by the Publisher.
Snapshot folder | Enter the path and name of the folder to be used to store the snapshots of publications from the Publisher.
By impersonating the SQL Server Agent account on Publisher | Use the same Windows NT Authentication account used by SQL Server Agent on the Publisher.
Using SQL Server Authentication of this account | Use SQL Server Authentication of a specified account.
Login name | Enter the login name for the account.
Password | Enter the password for the account.
Confirm password | Enter the password for the account again to confirm spelling.
A password is required to establish a link to the Distributor | Mark the Publisher as not trusted by the Distributor; therefore, a password is needed to connect to the Distributor. This option appears only if the Publisher and Distributor are located on different servers.
This Publisher is trusted; no password is required | Mark the Publisher as trusted by the Distributor; therefore, a password is not needed to connect to the Distributor. This option appears only if the Publisher and Distributor are located on different servers.


Publisher Properties, General Tab

This table shows the options and their functions that are available on the General tab of the Publisher Properties dialog box.

Use this | To do this
Heterogeneous publisher | View the name of the heterogeneous Publisher.
Distribution database | View the distribution database used by the Publisher.
Snapshot folder | View the path and name of the folder used to store the snapshots of publications from the Publisher.
Subscribers | Select the Subscriber to enable.
Enable All | Enable all the listed Subscribers to receive data from this Publisher.
Enable None | Clear all the listed Subscribers, disabling them from receiving data from this Publisher.
New Subscriber Register a new Subscriber that is one of the following:
  • SQL Server installation
  • Microsoft® Access (Microsoft Jet 4.0 database)
  • ODBC data source
  • OLE DB data source


Distribution Database Properties, Database Tab

This table shows the options and their functions that are available on the Database tab of the Distribution Database Properties dialog box.

Use this | To do this
Database name | View the name of the distribution database.
The following Publishers use this distribution database | View the list of Publishers currently using this distribution database.
Store transactions at least | Set the minimum length of time the transaction records are stored in the distribution database. If the unit of time is hours, the minimum value is 0 and the maximum value is 9999. If the unit of time is days, the minimum value is 0 and the maximum value is 416. The minimum value must be less than the maximum value for storing records.
But not more than | Set the maximum length of time the transaction records are stored in the distribution database. The maximum value cannot be less than or equal to the minimum value.
Hours | Use hours as the unit of time for storing transaction records.
Days | Use days as the unit of time for storing transaction records.
Store replication performance history at least | Set the minimum length of time the replication performance history is stored in the distribution database. If the unit of time is hours, the minimum value is 0 and the maximum value is 9999. If the unit of time is days, the minimum value is 0 and the maximum value is 416. The minimum value must be less than the maximum value for storing performance history.
Hours | Use hours as the unit of time for storing replication performance history.
Days | Use days as the unit of time for storing replication performance history.


Distribution Database Properties, Database Tab

This table shows the options and their functions that are available on the Database tab of the Distribution Database Properties dialog box.

Use this | To do this
Database name | Enter the name of the new distribution database.
Folder for database file | Enter the path for the distribution database file.
Browse | Browse for the folder in which to store the distribution database.
Folder for log file | Enter the path for the log file for the distribution database.
Browse | Browse for the folder in which to store the log file for the distribution database.
Store transactions at least | Set the minimum length of time transactions are stored in the distribution database. If the unit of time is hours, the minimum value is 0 and the maximum value is 9999. If the unit of time is days, the minimum value is 0 and the maximum value is 416. The minimum value must be less than the maximum value for storing records.
But not more than | Set the maximum length of time transactions are stored in the distribution database. The maximum value cannot be less than or equal to the minimum value.
Hours | Use hours as the unit of time for storing transaction records.
Days | Use days as the unit of time for storing transaction records.
Store replication performance history at least | Set the minimum length of time replication performance history is stored in the distribution database. If the unit of time is hours, the minimum value is 0 and the maximum value is 9999. If the unit of time is days, the minimum value is 0 and the maximum value is 416. The minimum value must be less than the maximum value for storing performance history.
Hours | Use hours as the unit of time for storing replication performance history.
Days | Use days as the unit of time for storing replication performance history.


Publisher and Distributor Properties, Distributor Tab

This table shows the options and their functions that are available on the Distributor tab of the Publisher and Distributor Properties dialog box.

Use this | To do this
Name | View the name of the Distributor.
Databases | View the names of the distribution databases.
Properties | Display the properties of the selected distribution database.
New | Add a new distribution database.
Delete | Delete the selected distribution database.
Agent Profiles | Display the profiles for each type of agent.
Password | Enter the password used when a Publisher connects to the Distributor. You can specify certain Publishers as trusted; trusted Publishers do not need a password to connect to the Distributor. If the Publisher is not trusted, the password you enter here must also be entered when the Publisher is being configured.
Confirm password | Enter the password again to confirm the spelling.


Publisher and Distributor Properties, Publishers Tab

This table shows the options and their functions that are available on the Publishers tab of the Publisher and Distributor Properties dialog box.

Use this | To do this
(check box) | Enable the selected server as a Publisher.
Publishers | Select the Publisher to enable from the list of all registered servers. If you have installed the Desktop edition of SQL Server, only the local server is listed.
Distribution DB | View the distribution database used by the Publisher.
(...) | Display the properties of the Publisher.
Enable All | Enable all the listed Publishers to use this Distributor. If you have installed the Desktop edition of SQL Server, this control is not shown.
Enable None | Clear all the listed Publishers, disabling them from using this Distributor. If you have installed the Desktop edition of SQL Server, this control is not shown.
Register Server | Register a server that does not appear in the list. After the server is registered in SQL Server Enterprise Manager, the server will appear in the list and you can enable it. If you have installed the Desktop edition of SQL Server, this control is not shown.


Publisher and Distributor Properties, Distributor Tab

This table shows the options and their functions that are available on the Distributor tab of the Publisher and Distributor Properties dialog box.

Use this | To do this
Distributor for Publisher | View the name of the Publisher.
Distribution server name | View the name of the server where the distribution database is located.
Distribution database | View the name of the distribution database.
Password | Enter the password used by this Publisher to connect to the Distributor. If the Distributor has identified this Publisher as trusted, this control is not displayed on the dialog box.
Confirm password | Enter the password again to confirm the spelling. If the Distributor has identified this Publisher as trusted, this control is not displayed in the dialog box.


Publisher and Distributor Properties, Subscribers Tab

This table shows the options and their functions that are available on the Subscribers tab of the Publisher and Distributor Properties dialog box.

Use this | To do this
(check box) | Enable the selected server to receive data from the Publisher.
Subscribers | Select the Subscriber to enable.
(...) Display the properties of the selected Subscriber.
Enable All | Enable all the listed servers to receive data from this Publisher.
Enable None | Clear all the listed Subscribers, disabling them from receiving data from this Publisher.
New Subscriber Register a new Subscriber that is one of the following:
  • SQL Server installation
  • Microsoft® Jet 4.0 database (Microsoft Access)
  • ODBC data source
  • OLE DB data source


heterogeneous publication Properties, General Tab

This table shows the options and their functions that are available on the General tab of the publication Properties dialog box.

Use this | To do this
Publication name | View the name of the publication.
Database name | View the name of the database.
Publication type | View the type of publication (snapshot or transactional).
Description | View the description of the publication.
Publisher name | View the name of the Publisher.
Vendor name | View the name of the vendor who created the publication.
Distribution database | View the name of the distribution database for this publication.

Note

Properties of heterogeneous Publishers and publications can only be created programmatically and cannot be set through the Microsoft® SQL Server™ user interface.


heterogeneous publication Properties, Subscription Options Tab

This table shows the options and their functions that are available on the Subscription Options tab of the publication Properties dialog box.

Use this | To do this
Allow only enabled Subscribers to create pull subscriptions | View whether those Subscribers who have been specifically enabled are allowed to create pull subscriptions to the publication.
Allow both anonymous and enabled Subscribers to pull subscriptions | View whether those Subscribers who have been specifically enabled and any anonymous Subscribers are allowed to create pull subscriptions to the publication.
Use a Distribution Agent that is independent of other publications from this database | View whether the publication uses a separate Distribution agent. Having all the publications at the Publisher use the same Distribution Agent reduces the resource demands and increases performance at the Distributor. However, if your application requires immediate synchronization or allows anonymous subscriptions, you must have a separate Distribution Agent for this publication.
Snapshot files are always available to immediately initialize new subscriptions | View whether a new subscription can be immediately initialized from the snapshot stored at the Distributor.
Allow the Internet to be used to create and synchronize subscriptions | View whether Subscribers can create and synchronize their subscriptions over the Internet.


publication Properties, Publication Access List Tab

This table shows the options and their functions that are available on the Publication Access List tab of the publication Properties dialog box.

Use this | To do this
Login name | View the login name for the account.
Type | View the type of user account.
Add | Add a new login to the list. You can add only those login names that are already defined at both the Publisher and Distributor.
Remove | Remove the selected login from the list.
Remove All | Remove all the logins from the list.

Note

Before an enabled Subscriber can connect to a Publisher, the login for the Subscriber must be present in the Publisher's publication access list


publication Properties, Articles Tab

This table shows the options and their functions that are available on the Articles tab of the publication Properties dialog box.

Use this | To do this
(check box) | Enable the selected object as an article.
Owner | View the name of the owner of the object.
Table | View the name of the table or stored procedure on which the article is based.
Article | View the name of the article.
(...) | Display the properties of the article.
Both published and unpublished object | Display all objects available for publishing.
Only published objects | Display only objects that are currently published as articles.
Publish All | Select all the listed objects for publication.
Publish None | Clear all the listed objects for publication.
Include tables | Display tables in the list if this is a snapshot or transactional publication.
Include stored procs | Display stored procedures in the list if this is a snapshot or transactional publication.


publication Properties, Filter Columns Tab

This table shows the options and their functions that are available on the Filter Columns tab of the publication Properties dialog box.

Use this | To do this
Owner | View the name of the owner of the table.
Table | View the name of the table on which the article is based.
Article | View the name of the article.
(check box) | Include or exclude a table column from the selected article. Columns that are part of the primary key for the table, as indicated by a key icon in the column, cannot be excluded from the article.
Column name | View the name of the column.
Data type | View the data type of the column.


publication Properties, Filter Rows Tab

This table shows the options and their functions that are available on the Filter Rows tab of the publication Properties dialog box.

Use this | To do this
Owner | View the name of the owner of the table.
Table | View the name of the table on which the article is based.
Article | View the name of the article.
Filter clause | View the clause used to filter the rows included in the article.
(...) | Enter or modify the filter clause.


publication Properties, Filter Rows Tab

This table shows the options and their functions that are available on the Filter Rows tab of the publication Properties dialog box.

Use this | To do this
Owner | View the name of the owner of the table.
Table | View the name of the table on which the article is based.
Article | View the name of the article.
Filter clause | View the clause used to filter the rows included in the article.
(...) | Enter or modify the filter clause.
Filtered table | Select the name of the filtered table. Only tables that either have a row filtered or are filtered through a JOIN are displayed in this column. Select Delete JOIN to to remove an existing JOIN.
Table to filter | Select the name of the table to which filtering is extended.
Join filter clause | View the JOIN clause used to extend the filtering from Filtered table to Table to filter.
(...) | Enter or modify the JOIN clause.


publication Properties, General Tab

This table shows the options and their functions that are available on the General tab of the publication Properties dialog box.

Use this | To do this
Publication | View the name of the publication.
Database name | View the name of the database containing the publication.
Description | Enter or change the description of the publication.
Publication type | View the type of publication (snapshot, transactional, or merge).
Native SQL Server format | Set the format of the snapshot file to Microsoft® SQL Server™ native format.
Character format | Set the format of the snapshot file to character format. Character format is required if the publication has any heterogeneous Subscribers.
Disable subscriptions not synchronized in | Set the maximum number of days a subscription can remain unsynchronized before it is dropped. The minimum number of days is 1 and the maximum number of days is 60.


publication Properties, Scripts Tab

This table shows the options and their functions that are available on the Scripts tab of the publication Properties dialog box.

Use this | To do this
Create this publication | Have Microsoft® SQL Server™ create a script for creating this publication.
Delete this publication | Have SQL Server create a script for deleting this publication. SQL Server only creates the script for deleting the publication; SQL Server does not actually remove the publication.
MS-DOS text | Create the script using the OEM character set.
Windows text | Create the script using the ANSI character set.
International text | Create the script using the Unicode character set.
Append script to file | Add the script to the end of the file you specify when you click Save.
Preview | Preview and modify the script before it is saved. If you make changes to the preview script, you must click Save As in the Preview dialog box to save those changes.
Save | Generate the script file. When prompted, enter the path and file name where the script should be saved.


publication Properties, Status Tab

This table shows the options and their functions that are available on the Status tab of the publication Properties dialog box.

Use this | To do this
Last run | View the last date and time the Snapshot Agent was run.
Run Agent Now | Run the Snapshot Agent on demand.
Next run | View the next date and time the Snapshot Agent is scheduled to run.
Agent Properties | View the properties of the Snapshot Agent job.
Service | View the service required to be running on the indicated server.
Status | View the status of the service (stopped, starting, or started).
Start Service | Start the selected service on the indicated server.
Refresh Status | Refresh the status of the selected service.


publication Properties, Subscription Options Tab

This table shows the options and their functions that are available on the Subscription Options tab of the publication Properties dialog box.

Use this | To do this
Use a Distribution Agent that is independent of other publications from this database | Select whether the publication uses a separate Distribution agent. Having all the publications at the Publisher use the same Distribution Agent reduces the resource demands and increases performance at the Distributor. However, if your application requires immediate synchronization or allows anonymous subscriptions, you must have a separate Distribution Agent for this publication.
Snapshot files are always available to immediately initialize new subscriptions | Select whether to continuously maintain a current snapshot of the publication so that new subscriptions can be initialized as soon as the subscription is created.
Allow anonymous Subscribers to pull subscriptions | Select whether anonymous Subscribers are allowed to create pull subscriptions to the publication.
Allow enabled Subscribers to pull subscriptions | Select whether those Subscribers who have been specifically enabled are allowed to create pull subscriptions to the publication. Subscribers are enabled on the Subscribers tab of the Publisher and Distributor Properties dialog box.
Allow snapshots to be downloaded using FTP (File Transfer Protocol) | Select whether enabled Subscribers or anonymous Subscribers can use file transfer protocol (FTP) to download the snapshot file over the Internet.
Allow immediate-updating subscriptions | View whether a Subscriber can modify subscription data and have those changes replicated to the Publisher.


publication Properties, Subscription Options Tab

This table shows the options and their functions that are available on the Subscription Options tab of the publication Properties dialog box.

Use this | To do this
Allow only enabled Subscribers to create pull subscriptions | Select whether those Subscribers who have been specifically enabled are allowed to create pull subscriptions to the publication. Subscribers are enabled on the Subscribers tab of the Publisher and Distributor Properties dialog box.
Allow both anonymous and enabled Subscribers to pull subscriptions | Select whether those Subscribers who have been specifically enabled and any anonymous Subscribers to create pull subscriptions to the publication.
Allow snapshots to be downloaded using FTP (File Transfer Protocol) | Select whether enabled Subscribers or anonymous Subscribers can use file transfer protocol (FTP) to download the snapshot file over the Internet.
Report conflicting data changes at the Publisher | Select to report all merge conflicts at the Publisher.
Allow dynamic filters so different Subscribers can receive different partitions of the published data. | View whether the Publication allows dynamic filtering. You can tailor the subset of data sent to the individual needs of each Subscriber by setting dynamic filters on the table. The dynamic filter examines the characteristics of the Subscriber and then forwards the appropriate data as defined in the filter.


publication Properties, Subscriptions Tab

This table shows the options and their functions that are available on the Subscriptions tab of the publication Properties dialog box.

Use this | To do this
Subscription name | View the name of the subscription.
Type | View the type of subscription (push or pull).
All articles | View whether a subscription contains all the articles in a publication or only a subset. This option is not displayed for merge publications.
Priority | View the priority of the subscription. This option is displayed only for merge publications. A priority of 0 indicates that the Subscriber is using the Publisher’s priority value.
Push New | Create a new push subscription at one or more Subscribers.
Properties | Display the properties of the selected subscription.
Delete | Delete the selected subscription.
Reinitialize | Reinitialize the selected subscription.
Reinitialize All | Reinitialize all subscriptions listed.
View Conflicts | View the synchronization conflicts for the selected subscription. This option is displayed only for merge publications.


Pull Subscription Properties, General Tab

This table shows the options and their functions that are available on the General tab of the Pull Subscription Properties dialog box.

Use this | To do this
Subscription to publication | View the name of the publication.
Publisher | View the name of the Publisher.
Publisher database | View the name of the Publisher database.
Description | View the description of the publication.
Anonymous | View whether the subscription is anonymous.
Immediate-updating subscriptions | View whether the subscription allows immediate updates by the Subscriber. This option is not displayed for merge publications.
Priority when resolving data conflicts | View the priority value used when resolving conflicts ("Use the priority of the Publisher" or a numeric value). This option is displayed only for merge publications. A priority of 0 indicates that the Subscriber is using the Publisher’s priority value.
type Agent Properties | Display the properties of the type Agent job.
View conflicts | View the synchronization conflicts for the selected subscription. This option is displayed only for merge publications.
Last updated | View date and time the Subscriber was last synchronized with the Publisher. This option is not displayed for merge publications.
Enable this subscription to be synchronized using Synchronization Manager | Set whether the subscription can be synchronized using the Windows Synchronization Manager. This option is displayed only if Synchronization Manager is installed on the server or if the subscription has been enabled previously. You can access the Synchronization Manager by clicking Start, pointing to Programs/Accessories, and then clicking Synchronize.


Pull Subscription Properties, Snapshot Delivery Tab

This table shows the options and their functions that are available on the Snapshot Delivery tab of the Pull Subscription Properties dialog box.

Use this | To do this
Use the File Transfer Protocol (FTP) when downloading snapshot files from the Distributor | Use FTP instead of the regular protocol for downloading files to this server.
Server address of the Distributor | Enter the network address of the FTP service at the Distributor.
Port | Enter the port number of the FTP service at the Distributor.
Login | Enter the username used to connect to the FTP service.
Password | Enter the user password used to connect to the FTP service.
Confirm password | Enter the password again to confirm spelling.


Pull Subscription Properties, Security Tab

This table shows the options and their functions that are available on the Security tab of the Pull Subscription Properties dialog box.

Use this | To do this
Impersonate the SQLServerAgent account on server | Use the same Windows NT Authentication account used by SQL Server Agent on the server.
Use SQL Server Authentication of this account | Use SQL Server Authentication of a specified account.
Login name | Enter the login name for the account.
Password | Enter the password for the account.
Confirm password | Enter the password for the account again to confirm spelling.
Use the same login as for the Distributor | Use the same account to log into the Publisher as used to log into the Distributor.


Replication Monitor - Selected Columns, Distribution Agents Tab

Replication Monitor - Select Columns, Distribution Agents Tab

This table shows the options and their functions available on the Distribution Agents tab of the Replication Monitor - Select Columns dialog box.

Option | Description
(check box) | Display the selected column in the result pane.
Publisher | Publisher that created the publication.
Publisher DB | Name of the Publisher database
Subscription | Name of the subscription
Type | Type of subscription.
Status | Status of the agent's last action.
Last action | Last action taken
Action time | Time the action was taken.
Start time | Time this session was started.
Duration | Duration of the agent session.
Delivery rate (cmds/sec) | Ratio of delivered commands to the duration of the agent. If the agent is still running, this value reflects a cumulative count from the beginning of the session.
Latency (msec) | The current amount of time, in milliseconds, elapsed from when transactions are delivered to the Distributor to when they are applied at the Subscriber
#Trans | The number of transactions delivered to the Subscriber.
#Cmds | The number of commands delivered to the Subscriber.
Avg. #Cmds | The average number of commands per transaction delivered to the Subscriber for the session.
Move Up | Move the selected column higher in the list. It also moves the column to the left in the result pane.
Move Down | Move the selected column lower in the list. It also moves the column to the right in the result pane.
Reset | Select all the columns and list them in default order.


Replication Monitor - Selected Columns, Log Reader Agents Tab

Replication Monitor - Select Columns, Log Reader Agents Tab

This table shows the options and their functions available on the Log Reader Agents tab of the Replication Monitor - Select Columns dialog box.

Option | Description
(check box) | Display the selected column in the result pane.
Database | Name of the Publisher database.
Status | Status of the agent's last action.
Last action | Last action taken
Action time | Time the action was taken.
Start time | Time this session was started.
Duration | Duration of the agent session.
Delivery rate (cmds/sec) | Ratio of delivered commands to the duration of the agent. If the agent is still running, this value reflects a cumulative count from the beginning of the session.
Latency (msec) | The current amount of time, in milliseconds, elapsed from when transactions are applied at the Publisher to when they are delivered to the Distributor.
#Cmds | The number of commands delivered to the Distributor.
#Trans | The number of transactions delivered to the Distributor.
Avg. #Cmds | The average number of commands per transaction delivered to the Distributor for the session.
Move Up | Move the selected column higher in the list. It also moves the column to the left in the result pane.
Move Down | Move the selected column lower in the list. It also moves the column to the right in the result pane.
Reset | Select all the columns and list them in default order.


Replication Monitor - Selected Columns, Merge Agents Tab

Replication Monitor - Select Columns, Merge Agents Tab

This table shows the options and their functions available on the Merge Agents tab of the Replication Monitor - Select Columns dialog box.

Option | Description
(check box) | Display the selected column in the result pane.
Publisher | Publisher that created the publication.
Subscription | Name of the subscription
Type | Type of subscription.
Status | Status of the agent's last action.
Last action | Last action taken
Action time | Time the action was taken.
Start time | Time this session was started.
Duration | Duration of the agent session.
Delivery rate (rows/sec) | Ratio of delivered rows to the duration of the agent. If the agent is still running, this value reflects a cumulative count from the beginning of the session.
Publisher inserts | Number of INSERT commands applied at the Publisher
Publisher updates | Number of UPDATE commands applied at the Publisher
Publisher deletes | Number of DELETE commands applied at the Publisher
Publisher conflicts | The number of conflicts occurring at the Publisher during the merge process.
Subscriber inserts | Number of INSERT commands applied at the Subscriber
Subscriber updates | Number of UPDATE commands applied at the Subscriber
Subscriber deletes | Number of DELETE commands applied at the Subscriber
Subscriber conflicts | The number of conflicts occurring at the Subscriber during the merge process.
Move Up | Move the selected column higher in the list. It also moves the column to the left in the result pane.
Move Down | Move the selected column lower in the list. It also moves the column to the right in the result pane.
Reset | Select all the columns and list them in default order.


Replication Monitor - Selected Columns, Miscellaneous Agents Tab

Replication Monitor - Select Columns, Miscellaneous Agents Tab

This table shows the options and their functions available on the Miscellaneous Agents tab of the Replication Monitor - Select Columns dialog box.

Option | Description
(check box) | Display the selected column in the result pane.
Type | Type of miscellaneous agent.
Status | Status of the agent's last action.
Last action | Last action taken
Start time | Time this session was started.
Duration | Duration of the agent session.
Move Up | Move the selected column higher in the list. It also moves the column to the left in the result pane.
Move Down | Move the selected column lower in the list. It also moves the column to the right in the result pane.
Reset | Select all the columns and list them in default order.


Replication Monitor - Selected Columns, Merge Publication View Tab

Replication Monitor - Select Columns, Merge Publication View Tab

This table shows the options and their functions available on the Merge Publication View tab of the Replication Monitor - Select Columns dialog box.

Option | Description
(check box) | Display the selected column in the result pane.
Type | Type of subscription.
Status | Status of the agent's last action.
Last action | Last action taken
Action time | Time the action was taken.
Start time | Time this session was started.
Duration | Duration of the agent session.
Delivery rate (rows/sec) | Ratio of delivered rows to the duration of the agent. If the agent is still running, this value reflects a cumulative count from the beginning of the session.
Publisher inserts | Number of INSERT commands applied at the Publisher
Publisher updates | Number of UPDATE commands applied at the Publisher
Publisher deletes | Number of DELETE commands applied at the Publisher
Publisher conflicts | The number of conflicts occurring at the Publisher during the merge process.
Subscriber inserts | Number of INSERT commands applied at the Subscriber
Subscriber updates | Number of UPDATE commands applied at the Subscriber
Subscriber deletes | Number of DELETE commands applied at the Subscriber
Subscriber conflicts | The number of conflicts occurring at the Subscriber during the merge process.
Move Up | Move the selected column higher in the list. It also moves the column to the left in the result pane.
Move Down | Move the selected column lower in the list. It also moves the column to the right in the result pane.
Reset | Select all the columns and list them in default order.


Replication Monitor - Selected Columns, Snapshot Agents Tab

Replication Monitor - Select Columns, Snapshot Agents Tab

This table shows the options and their functions available on the Snapshot Agents tab of the Replication Monitor - Select Columns dialog box.

Option | Description
(check box) | Display the selected column in the result pane.
Publisher | Publisher that created the publication.
Status | Status of the agent's last action.
Last action | Last action taken
Action time | Time the action was taken.
Start time | Time this session was started.
Duration | Duration of the agent session.
Delivery rate (cmds/sec) | Ratio of delivered commands to the duration of the agent. If the agent is still running, this value reflects a cumulative count from the beginning of the session.
#Trans | The number of transactions delivered to the Distributor.
#Cmds | The number of commands delivered to the Distributor.
Move Up | Move the selected column higher in the list. It also moves the column to the left in the result pane.
Move Down | Move the selected column lower in the list. It also moves the column to the right in the result pane.
Reset | Select all the columns and list them in default order.


Replication Monitor - Selected Columns, Trans Publication View Tab

Replication Monitor - Select Columns, Trans Publication View Tab

This table shows the options and their functions available on the Trans Publication View tab of the Replication Monitor - Select Columns dialog box.

Option | Description
(check box) | Display the selected column in the result pane.
Type | Type of subscription.
Status | Status of the agent's last action.
Last action | Last action taken
Action time | Time the action was taken.
Start time | Time this session was started.
Duration | Duration of the agent session.
Delivery rate (cmds/sec) | Ratio of delivered commands to the duration of the agent. If the agent is still running, this value reflects a cumulative count from the beginning of the session.
Latency (msec) | For the Snapshot or Log Reader Agent, this is the current amount of time, in milliseconds, elapsed from when transactions are applied at the Publisher to when they are delivered to the Distributor. For the subscription, this is the current amount of time, in milliseconds, elapsed from when transactions are delivered to the Distributor to when they are applied at the Subscriber
#Trans | For the Snapshot or Log Reader Agent, this is the number of transactions delivered to the Distributor. For the subscription, this is the number of transactions delivered to the Subscriber.
#Cmds | For the Snapshot or Log Reader Agent, this is the number of commands delivered to the Distributor. For the subscription, this is the number of commands delivered to the Subscriber.
Avg. #Cmds | For the Snapshot or Log Reader Agent, this is the average number of commands per transaction delivered to the Distributor for the session. For the subscription, this is the average number of commands per transaction delivered to the Subscriber for the session.
Move Up | Move the selected column higher in the list. It also moves the column to the left in the result pane.
Move Down | Move the selected column lower in the list. It also moves the column to the right in the result pane.
Reset | Select all the columns and list them in default order.


Refresh Rate and Settings, General Tab

This table shows the options and their functions that are available on the General tab of the Refresh Rate and Settings dialog box.

Use this | To do this
Automatically refresh replication items in the result pane | Update the detailed view displayed by the Replication Monitor periodically.
Refresh every | Set the number of seconds between refreshes.
Automatically refresh replication items displayed under Replication Monitor in the server tree | Update the items displayed under Replication Monitor in the server tree periodically.
Refresh every | Set the number of seconds between refreshes.
Consider suspect after n minutes of inactivity | Set the maximum number of minutes that an agent can be inactive and still be considered fully functioning.


Refresh Rate and Settings, Performance Monitor Tab

This table shows the options and their functions that are available on the Performance Monitor tab of the Refresh Rate and Settings dialog box.

Use this | To do this
Path to performance monitor settings | Specify the path and name of the file containing the settings for the Windows NT Performance Monitor. This file must already exist and is required for the Replication Monitor to use the Windows NT Performance Monitor.


Generate SQL Scripts, File Options Tab

This table shows the options and their functions that are available on the File Options tab of the Generate SQL Scripts dialog box.

Use this | To do this
MS-DOS text | Create the script using the OEM character set.
Windows text | Create the script using the ANSI character set.
International text | Create the script using the Unicode character set.
Append script to file | Add the script to the end of the file you specify.


Generate SQL Scripts, General Tab

This table shows the options and their functions that are available on the General tab of the Generate SQL Scripts dialog box.

Use this | To do this
Distributor properties | Script the configuration of the Distributor. If the server is both a Publisher and Distributor, the script includes all configurations. If the server is just a Publisher, the script contains just the pointer to the Distributor.
Publications in these selected databases | Script the publications in the selected databases.
Select All | Select all the databases in the list.
Select None | Deselect all the databases in the list.
Enable or create the selected components | Enable or create the components in the selected databases. Also adds a Distributor, if that is selected.
Disable or drop the selected components | Disable or drop the components in the selected databases. Also drops a Distributor, if that is selected.
Preview | Preview and modify the script before it is saved. If you make changes to the preview script, you must click Save As in the Preview dialog box to save those changes.


Subscriber Properties, General Tab

This table shows the options and their functions that are available on the General tab of the Subscriber Properties dialog box (within the Subscribers page of the Publisher and Distributor Properties dialog box).

Use this | To do this
Subscriber | View the name of the Subscriber.
Type | View the type of Subscriber (SQL Server, ODBC, or OLE DB).
Description | Enter or modify the description of the Subscriber.
By impersonating the SQL Server Agent account on Publisher | Use the same Windows NT Authentication account used by SQL Server Agent on the Publisher.
Using SQL Server Authentication of this account | Use SQL Server Authentication of a specified account.
Login name | Enter the login name for the account.
Password | Enter the password for the account.
Confirm password | Enter the password for the account again to confirm spelling.


Subscriber Properties, Schedules Tab

This table shows the options and their functions that are available on the Schedules tab of the Subscriber Properties dialog box (within the Subscribers page of the Publisher and Distributor Properties dialog box).

Use this | To do this
Continuously | Set the default schedule that is used when creating new Agents to run the Agents all the time.
At the following scheduled times | Set the default schedule that is used when creating new Agents to run the Agents according to the schedule you set using the Change button.
Change | Set the recurring job schedule for the Agents.


(Untitled)

Limitations on Immediate-updating Subscriptions

The following restrictions exist on immediate-updating subscriptions:

  • υImmediate-updating subscriptions are supported only at Microsoft® SQL Server™ version 7.0 Subscribers.
  • υPublished tables must have timestamp columns. A timestamp column is automatically added if one does not exist.
  • υThe timestamp column must be included in the vertical partition.
  • υINSERT statements used to add rows of data to a table must include a column list.
  • υIf a Subscriber subscribes to two or more articles in the same publication, loopback detection prevents changes made in one article at the Subscriber from being sent to the other article(s) at the Subscriber. Consequently, the other article(s) does not get synchronized by the Distribution Agent, and the data diverges across the articles. To prevent replication at immediate-updating Subscribers from failing, do not subscribe to two or more articles in the same publication.


(Untitled)

Specify Administrative Password

The Distributor has been configured to require this Publisher to use a password when connecting to the Distributor. The password you enter here must be the same as the Administrative Link password set at the Distributor. You can change the password later on the Distributor tab of the Publisher and Distributor Properties dialog box (on the Tools menu, point to Replication, and then click Configure Publishing and Distribution).


(Untitled)

Enable Publishers

You can give permission for other Publishers to use this Distributor. Select the registered server you want to allow to use this Distributor, then click the properties button (...) to set the security options.

The servers you select as Publishers use the distribution database created by this wizard. If you want to use a different distribution database than the one created in this wizard, do not enable the Publisher at this time. Instead, use the Configure Publishing and Distribution dialog box (on the Tools menu, click Replication, and then click Configure Publishing and Distribution).

If you are running Microsoft® Windows NT® on your server and if you want to enable an unlisted server as a Publisher, click Register Server to register it in SQL Server Enterprise Manager and add it to the list. Platforms running Microsoft Windows® 95/98 are not allowed to be a Distributor for another Publisher.


(Untitled)

Enable Publication Databases

You must be a member of the sysadmin fixed server role to enable a database for publication. After a database is enabled, a database owner can create publications from it. An administrator, however, can create a publication without the database having been enabled previously for publication.

If you want to create transactional publications, enable the database for transactional replication. As incremental changes are made, transactional replication marks them for replication in the Publisher’s database log file and then distributes the transactions to Subscribers.

If you want to create merge publications, enable the database for merge replication. Merge replication allows sites to make autonomous changes to replicated data, and at a later time, merges the changes made at all sites. Unlike transactional replication, merge replication does not guarantee transactional consistency.

For example, if your mobile sales force is frequently disconnected from the network, enable the database as a merge publication so changes to a customer database can be merged when users reconnect to the network. For more information about transactional and merge publications, see SQL Server Books Online.


(Untitled)

Provide Distribution Database Information

Enter a name for the distribution database. The name can be a maximum of 128 characters and cannot be ~’!%@^&*()+-={}[]|\:;”<>,.?/

Enter the location of the folders for the distribution database files. You can specify only one distribution database using the Configure Publishing and Distribution Wizard. However, after completing this wizard, you can specify additional distribution databases in the Configure Publishing and Distribution dialog box (on the Tools menu, click Replication, and then click Configure Publishing and Distribution).

You can decrease the time it takes to write transactions and improve the performance of replication by placing the distribution log on a separate disk drive from the distribution database.


(Untitled)

Choose Distributor

The Distributor uses these additional resources on the server where it is located:

  • Additional disk space to store the snapshot of the publication.
  • Additional disk space to store the distribution database.
  • Additional processor time, which is used by the replication agents running on the server with the Distributor.

The server you select as the Distributor should have adequate disk space and processor power to support replication and any other activities based on that server.

Click Yes, use server as the Distributor to make the local server the Distributor. Click No, use another server to make a remote server the Distributor. If you want to use a remote server as the Distributor, make sure the remote server is already configured as a Distributor and the local server is enabled as a Publisher on that Distributor. If the server you want to use as a Distributor is not listed, select No, use another server, then click Register Server to register it in SQL Server Enterprise Manager and add it to the list.


(Untitled)

Enable Subscribers

You can configure only Microsoft® SQL Server™ Subscribers using this wizard. You can configure a heterogeneous Subscriber later in the Configure Publishing and Distribution dialog box (on the Tools menu, click Replication, and then click Configure Publishing and Distribution).

If the server you want to enable as a Subscriber is not listed, click Register Server to register it in SQL Server Enterprise Manager and add it to the list.


(Untitled)

Allow Anonymous Subscribers

An anonymous subscription is a special kind of pull subscription. Usually, information about each Subscriber is stored at the Publisher, and performance information about each Subscriber is kept at the Distributor. To avoid the performance overhead of keeping this information, specify anonymous subscriptions. Anonymous subscriptions are especially useful if your publication has either a large number of Subscribers or Subscribers over the Internet.

Because an anonymous subscription is initiated by the Subscriber, the responsibility for keeping the subscription synchronized with the Publisher rests with the Subscriber.


(Untitled)

Specify Articles

Select the object you want to publish as an article. Articles are usually all or portions of a table. However, in transactional publications, you can also publish stored procedures as articles.

For merge publications, consider whether the publication should include referenced tables (tables with foreign keys that reference primary keys in other tables). Unless the referenced tables are included, any attempt to add new rows at the Subscriber fails because Microsoft® SQL Server™ cannot find the primary key. However, an update of existing rows succeeds because SQL Server does not need to add new rows and keys. If you want to ensure that new rows can be added to articles in this publication at Subscribers, include referenced tables.

After merge publications are created but before subscriptions are created, they can be modified to include additional articles. Consequently, you can add any missing referenced tables to a publication if you later discover that an article must be updated with additional rows, not just with modifications to existing rows. Use the publication Property dialog box to add the missing table (on the Tools menu, point to Replication, then Create and Manage Publications, select the publication, and then click Properties & Subscriptions).


(Untitled)

Generate Filters Automatically

To define a static filter in your table, identify a table in your database that contains at least one column of the characteristics on which to filter.

To define a dynamic filter, identify a table in your database that contains at least one column of hostnames and one column of a host characteristic on which to filter. For example, the following table has one column containing hostnames and one column containing the host's region.

Hostname | Region
Smith | 5
Smith | 6
Jones | 2
Green | 1

The table is the starting point for a filter on hostnames that can be extended automatically to filter related tables. In this example, applying a filter to return only rows for Smith would result in Microsoft® SQL Server™ also including the rows for regions 5 and 6 in any related tables. If you do not have a suitable table in your database, you must create one.

For either static or dynamic filters, select from the list the table in your database that contains the column(s) of data used in the first filter. Then enter the conditions to be used in extending the first filter to another column(s) of data in the tables. Enter only the conditions to be used in the filter. Do not enter the entire SELECT statement, and do not enter the WHERE keyword. For example, enter only:

sales.rep = HOST_NAME()

instead of

WHERE sales.rep = HOST_NAME()

After you complete this wizard dialog box, SQL Server will generate a tentative list of JOIN filters to display in the next wizard dialog box.


(Untitled)

Automatic Filtering

When selecting a table to filter, consider selecting a pivotal table in your database. A pivotal table is one that includes links to other tables, which contain the data you want in the filtered publication.


(Untitled)

Filter Table Columns

You can filter the table columns in a snapshot publication or transactional publication to reduce the amount of data being published. Merge publications do not support filters on table columns.

Select the columns to be included in the publication. In the list of columns in the article, you can check or clear the box to the left of the column name to indicate whether that the column is included or excluded from the article. Columns that are part of the primary key for the table (as indicated by a key icon in place of the check box) cannot be excluded from the publication. If the publication allows immediate-updating subscriptions, timestamp columns (as indicated by the clock icon in place of the check box) cannot be excluded from the publication.


(Untitled)

Enable Dynamic Filters

You can tailor the subset of data sent to the individual needs of each Subscriber by setting dynamic filters on the table. The dynamic filter examines the characteristics of the Subscriber and then forwards the appropriate data as defined in the filter. This allows you to create a single publication that provides different data sets to different Subscribers or groups of Subscribers.

You must create the dynamic filter manually using a function such as HOST_NAME to determine which data is returned to which Subscribers. You can then set -Hostname in the Merge Agent utility. For more information about the Merge Agent utility, see Replication Merge Agent Utility in SQL Server Books Online.

Using dynamic filters may increase the time it takes for the Merge Agent to apply the initial snapshot of the publication. Instead of bulk copying all the data from the Publisher, the Merge Agent gets one row at a time and checks the characteristics of the Subscriber against the filter. To allow for the additional processing time and avoid a time-out error, set -QueryTimeOut in the Merge Agent utility or the Merge Agent Profile to a higher value. The additional time required during the creation of the initial snapshot and at the start of synchronization is often more than offset by the shorter transmission time of sending less data across the network.

If you use dynamic filters with an intrinsic function such as HOST_NAME() or SUSER_NAME(), you must modify the Merge Agent job to modify either the -Hostname or -PublisherLogin parameter to specify the value for your filter. If you modify the -PublisherLogin parameter of the Merge Agent, you also must specify the login in the publication access list.

Select Yes, enable dynamic filters to enable the publication to use dynamic filters.


(Untitled)

Filter Data

Fully replicated database designs publish all database tables to remote locations. However, to maximize application performance and reduce the amount of remote storage required, or to restrict the availability of certain data to specific Subscribers, you should publish only the minimum amount of data required. Your publication can include both unfiltered and filtered tables. For example, you could include the complete (unfiltered) table of company products and the filtered table of customers for a specific region.

You can limit the set of published data by filtering an article according to specific attributes. For example, it is advisable to filter the table rows when sites or regions in the replicated topology only need access to certain rows in the database. If you are creating a snapshot or transactional publication, it is advisable to filter table columns when there is limited network capacity or when Subscribers have limited capacity to store large text or image columns. Merge publications do not support filters on table columns.


(Untitled)

Filter Table Rows

You can filter the rows in a table to reduce the amount of data being published. The filter statement must refer only to columns and values in that table. Filters cannot refer to data in other tables to determine whether rows of this table are included or excluded.

Click the properties button (...) to enter the WHERE clause used as the filter.


(Untitled)

Allow Immediate-updating Subscriptions

Immediate-updating subscriptions can be used with either transactional or snapshot publications. A Subscriber can modify subscription data if the transaction can be performed using a two-phase commit approach with the Publisher. This approach guarantees latent transactional integrity without requiring that updates only be done at the Publisher. The two-phase commit transaction with the Publisher is done automatically; consequently, you can write an application to update only one site. After the change is made at the Publisher, it eventually gets distributed to all the other Subscribers to the publication.


(Untitled)

Choose Distributor

The Distributor uses these additional resources on the server where it is located:

  • Additional disk space to store the snapshot of the publication.
  • Additional disk space to store the distribution database.
  • Additional processor time, which is used by the replication agents running on the server with the Distributor.

The server you select as the Distributor should have adequate disk space and processor power to support replication and any other activities based on that server.

Select Yes, use server as the Distributor to make the local server the Distributor. Click No, use another server to make a remote server the Distributor. If you want to use a remote server as the Distributor, make sure the remote server is already configured as a Distributor and the local server is enabled as a Publisher on that Distributor. If the server you want to use as a Distributor is not listed, select No, use another server, then click Register Server to register it in SQL Server Enterprise Manager and add it to the list.


(Untitled)

Choose Publication Type

Choose the type of publication that best supports the requirements of your application. For more information about the types of publications, see Microsoft® SQL Server™ Books Online.

Note If you are running Microsoft® SQL Server Desktop Edition, Transactional publication appears greyed out. The license for the Desktop Edition of SQL Server does not permit the creation of transactional publications. However, you can still subscribe to transactional publications. To create transactional publications at this server, SQL Server Standard Edition or SQL Server Enterprise Edition must be installed. See your system administrator for more information.


(Untitled)

Use Default Properties of the Publication

Accepting the default properties for the publication is the fastest way to finish the wizard and create your publication. You must continue in the wizard if you want to:

  • Allow immediate updating Subscribers to make changes to the data.
  • Allow anonymous Subscribers to create subscriptions.
  • Specify whether to make snapshots always available to immediately synchronize new subscriptions.
  • Publish only certain rows or columns from a table


(Untitled)

Allow Anonymous Subscription

An anonymous subscription is a special kind of pull subscription. Usually, information about each Subscriber is stored at the Publisher, and performance information about each Subscriber is kept at the Distributor. To avoid the performance overhead of keeping this information, specify anonymous subscriptions. The Subscriber keeps an anonymous subscription synchronized with the Publisher.


(Untitled)

Set Distribution Agent Schedule

Specify the schedule for the Distribution Agent to run for this subscription. Select Continuously to guarantee immediate consistency between the data at the Publisher and the Subscriber.

Selecting Using the following schedule runs the Distribution Agent hourly (default), or daily, weekly, or monthly. However, choosing a frequency other than Continuously increases the latency of data consistency between the Subscriber and the Publisher.

Select No schedule to run the Distribution Agent only when specifically requested. This option also enables a Subscriber to use Microsoft Synchronization Manager on Microsoft® Windows NT® platforms.

If you are creating multiple subscriptions and setting the schedule for multiple Distribution Agents, you can set separate schedules for each agent or use the default schedule for all Distribution Agents.


(Untitled)

Snapshot Delivery

The publication being subscribed to allows Subscribers to use file transfer protocol (FTP) to download the snapshot file over the Internet. If the Subscriber does not have direct network access to the snapshot files at the time the subscription is initialized, Microsoft® SQL Server™ can copy the snapshot file over the Internet using FTP.


(Untitled)

Set Subscription Priority

For merge publications, you can set a priority number for each subscription. The priority number indicates how conflicts among subscriptions are resolved during the update of data. Every subscription is assigned a priority number, a real number between 0.00 (the lowest priority), and 99.99 (highest priority). The subscription with the highest priority number wins a conflict if two or more subscriptions are trying to update the same row at the same time. The specified priority number cannot be greater than the priority number at the Publisher.


(Untitled)

Specify Immediate-updating Subscription Login

The publication access list determines which logins have permission to update the data in the publication. Be sure the login you specify is included in the publication access list for this publication.


Choose Publication

When you expand a Publisher, SQL Server Enterprise Manager displays the publications that meet these requirements:

  • Your current login is included in the publication access list for that publication.
  • The current server is an enabled Subscriber at the Publisher or the publication allows anonymous Subscribers to create subscriptions.

If the publication you want to subscribe to is not on the list, add your login to the publication access list for the publication. In the server tree, click the Publisher name. On the Tools menu, point to Replication, and then click Create and Manage Publications. Expand the database, select the publication, and then click Properties & Subscriptions. In the Properties of Publication dialog box, click Publication Access List, and then add your login.

If the current server is not enabled as a Subscriber at the Publisher, add the Subscriber. In the server tree, click the Publisher name. On the Tools menu, point to Replication, and then click Configure Publishing, Subscribers, and Distribution. On the Subscribers tab, click the box to the left of the Subscriber name. If the Subscriber is not listed, click New Subscriber, Click the type of Subscriber to register, then enter the server and connection information.

If the publication does not allow anonymous Subscribers to create subscriptions, change this property. In the server tree, click the Publisher name. On the Tools menu, point to Replication, then click Create and Manage Publications. Expand the database, click the publication, and then click Properties & Subscriptions. In the Properties of Publication dialog box, click Subscription Options, and then select Allow anonymous Subscribers to pull subscriptions.


(Untitled)

Specify Subscriber Security

This Subscriber has been registered in Enterprise Manager to require the user to enter a password when connecting to Subscriber. Select the connection information to be used by the replication agents. Select By impersonating the SQL Server Agent account on server to use the same Windows NT Authentication account used by SQL Server Agent on the server. Select Using SQL Server Authentication of this account to use SQL Server Authentication of a specified account.

You can change the password later on the Security tab of the Pull Subscription Properties dialog box (on the Tools menu, point to Replication, click Pull Subscription, and then click Properties).


(Untitled)

Choose Subscribers

Select the data source that will subscribe to this publication. You can make multiple selections by holding down the SHIFT key. Selecting a group name selects all the servers in that group.

The Enabled Subscribers group includes all Subscribers (both Microsoft® SQL Server™ and heterogeneous data sources) that were enabled as Subscribers previously. If a Subscriber is missing from the list, cancel the wizard, and then use the Configure Publishing and Distribution dialog box (on the Tools menu, click Replication, and then click Configure Publishing and Distribution) to enable it.


(Untitled)

Set Distribution Agent Schedule

Specify the schedule for the Distribution Agent to run for this subscription. Select Continuously to guarantee immediate consistency between the data at the Publisher and the Subscriber.

Select Using the following schedule to run the Distribution Agent hourly (default), daily, weekly, or monthly. However, choosing a frequency other than Continuously increases the latency of data consistency between the Subscriber and the Publisher.

If you are creating multiple subscriptions and setting the schedule for multiple Distribution Agents, select Using individual default schedules for each subscription to set separate schedules for each agent or use the default schedule for all Distribution Agents.

If you are creating a pull subscription, select No schedule to run the Distribution Agent only when specifically requested.


(Untitled)

Specify Immediate-updating Subscription

Specify whether this Subscriber is allowed to update the subscription. Immediate-updating subscriptions can be used with either transactional or snapshot publications. A Subscriber can modify subscription data if the transaction can be performed using a two-phase commit approach with the Publisher. This approach guarantees latent transactional integrity without requiring that updates only be done at the Publisher. The two-phase commit transaction with the Publisher is done automatically; consequently, you can write an application to update only one site. After the change is made at the Publisher, it eventually gets distributed to all the other Subscribers to the publication.